#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	python3 setup.py install --root=debian/python3-foo/
	# Leave some coverage droppings
	mkdir -p debian/python3-foo/usr/lib/python3/dist-packages
	/usr/bin/printf '\xe2\x28\xa1' > debian/python3-foo/usr/lib/python3/dist-packages/.coverage
	mkdir -p debian/python3-foo/usr/lib/$(shell py3versions -d)/dist-packages
	/usr/bin/printf '\xe2\x82\x28' > debian/python3-foo/usr/lib/$(shell py3versions -d)/dist-packages/.coverage

override_dh_install:
	dh_install
	find debian/ -name jquery.js -exec \
	ln -fs /usr/share/javascript/jquery/jquery.js '{}' \;
	DH_VERBOSE=1 ../../dh_python3\
		--depends 'SQLAlchemy >= 0.6.1'\
		--recommends Mako\
		--suggests 'Foo >= 0.1'\
		--suggests 'bar >= 1.0'

clean:
	rm -rf build Foo.egg-info
	dh clean

override_dh_auto_build:
override_dh_auto_test:

override_dh_auto_clean:
	#python3 setup.py clean
